Subject: Re: [PATCH net] net: airoha: fix PSE memory configuration in airoha_fe_pse_ports_init()

From: Simon Horman <[email-masked]>
Date: Thu, 19 Sep 2024 14:52:22 +0100

On Thu, Sep 19, 2024 at 02:58:15PM +0200, Lorenzo Bianconi wrote:
> > On Wed, Sep 18, 2024 at 04:37:30PM +0200, Lorenzo Bianconi wrote:
> > > Align PSE memory configuration to vendor SDK. In particular, increase
> > > initial value of PSE reserved memory in airoha_fe_pse_ports_init()
> > > routine by the value used for the second Packet Processor Engine (PPE2)
> > > and do not overwrite the default value.
> > > Moreover, store the initial value for PSE reserved memory in orig_val
> > > before running airoha_fe_set_pse_queue_rsv_pages() in
> > > airoha_fe_set_pse_oq_rsv routine.
> > 
> > Hi Lorenzo,
> 
> Hi Simon,

Hi Lorenzo,

> > 
> > This patch seems to be addressing two issues, perhaps it would be best
> > to split it into two patches?
> 
> ack, I will do.

Thanks.

> > And as a fix (or fixes) I think it would be best to describe the
> > problem, typically a user-visible bug, that is being addressed.
> 
> This is not a user-visible bug, do you think it is better to post it to
> net-next (when it is open)?

Yes, I think that would be best.

If you do so please don't included any Fixes tags.
Instead, if you want to refer to a patch, use the
following syntax within the patch description.
AFAIK, unlike Fixes tags, it may be line wrapped as appropriate.

commit 23020f049327 ("net: airoha: Introduce ethernet support for EN7581 SoC")

> 
> Regards,
> Lorenzo
> 
> > 
> > > Fixes: 23020f049327 ("net: airoha: Introduce ethernet support for EN7581 SoC")
> > > Tested-by: Sayantan Nandy <[email-masked]>
> > > Signed-off-by: Lorenzo Bianconi <[email-masked]>
> > 
> > ...